All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.servlet.tbeans.remotefileselector2
Class BaseRemoteFileSearch

    com.sas.servlet.tbeans.remotefileselector2.BaseRemoteFileSearch

All Implemented Interfaces:
  ActionProviderViewInterface, HttpActionProviderInterface, HttpActionProviderViewInterface, com.sas.actionprovider.refresh.PartialRefreshActionsInterface, URLTemplateViewInterface, com.sas.beans.PropertyChangeSource, com.sas.lang.ObjectDataInterface, com.sas.servlet.tbeans.AJAXControllerURLInterface, ComplexStyleInterface, CompositeComponentInterface, RenderableInterface, TemplateInterface, com.sas.servlet.tbeans.TemplateKeyInterface, TransformationInterface, com.sas.servlet.tbeans.TransformationInterface2, com.sas.util.WriteToPrintWriterInterface, java.io.Serializable

Direct Known Subclasses:
  RemoteFileSearch

    @SASScope(value="ALL")
    public abstract class BaseRemoteFileSearch

The BaseRemoteFileSearch is an abstract TransformationBean™ that provides the methods for setting and returning the components and the models used for the search facility of the `RemoteFileSelector`. The `RemoteFileSearch` class extends this class and writes out the components with values that reflect the state of the models. In the case where a component is not provided, a default transformation bean is created.

This class was created for use with the RemoteFileSelector component. Any classes that extend this class can be used as a search component with the RemoteFileSelector.

See Also:
  Serialized Form

Field Summary
`protected RemoteFileSearchModelInterface` | `model` The model used to process the search If this value is null the search will fail.
`static java.lang.String` | `RB_KEY`

Fields inherited from class com.sas.servlet.tbeans.BaseActionCompositeTransformation
`viewerSupport`

Constructor Summary
`BaseRemoteFileSearch()`

Method Summary
`protected abstract BaseExpandCollapse` | `getDefaultExpandCollapseComponent()` Returns the default instance of the `ExpandCollapse` component.
`BaseExpandCollapse` | `getExpandCollapseComponent()` Returns the `ExpandCollapse` component used to toggle the display of the search fields and buttons.
`RemoteFileSearchModelInterface` | `getModel()` Returns the model used for retrieving the search file information.
`RemoteFileSelectorInterface` | `getRemoteFileSelector()` Returns the `RemoteFileSelector` that is making use of this search component.
`RemoteFileSearchFieldsAttributes` | `getSearchFieldsAttributes()` Returns the object that contains the viewers search criteria.
`java.lang.String` | `getStartingLocation()` Returns the starting location for the search.
`boolean` | `isExpandCollapseVisible()` Indicates whether the display of the search fields and buttons are controlled by the `ExpandCollapse` component.
`protected abstract void` | `populateStartingLocationComponent(java.lang.String path, java.lang.String basePath)` Uses the starting location to populate the `Search where` component field.
`void` | `setExpandCollapseComponent(BaseExpandCollapse ec)` Set the component to use for toggling the display of the Search fields and buttons.
`void` | `setExpandCollapseVisible(boolean visible)` Set the visibility state of the `ExpandCollapse`.
`void` | `setModel(RemoteFileSearchModelInterface model)` Sets the `RemoteFileSearchModelInterface` model instance.
`void` | `setRemoteFileSelector(RemoteFileSelectorInterface remoteFileSelector)` RemoteFileSelector may be null if search facility is used standalone (i.e. not used in conjunction with a RemoteFileSelector)
`void` | `setSearchFieldsAttributes(RemoteFileSearchFieldsAttributes searchCriteria)` Sets the object that will contain the viewers search criteria.
`void` | `setStartingLocation(java.lang.String path, java.lang.String basePath)` Set the starting location for the search.

Methods inherited from class com.sas.servlet.tbeans.BaseActionCompositeTransformation
`applyTemplate, applyTemplate, dispose, getActionFilter, getActionSupportType, getComponentAction, getComponentActionType, getUniqueId, getViewerSupport, isActionVisible, listActionTypes, listAreaTypes, moveActionAttributesToComponent, setActionProvider, setActionSupportType, setActionVisible, setComponent, setComponentActionType, setUniqueId, writeTemplate`

Methods inherited from class com.sas.servlet.tbeans.BaseCompositeTransformation
`getActionProvider, getComponent, getComponents, getDefaultTemplate, getStyleInfo, getStyleMap, getTemplate, getTemplateDictionary, getTemplateFileName, getTemplateLocation, getVisibleComponents, isFlushEnabled, propertyChange, removeComponent, setCleanUpResourcesOn, setComponent, setFlushEnabled, setId, setLocale, setRequest, setResponse, setStyleInfo, setTemplate, setTemplate, setTemplateDictionary, setTemplateFileName, setTemplateLocation`

Methods inherited from class com.sas.servlet.tbeans.BaseTransformation
`addPropertyChangeListener, addPropertyChangeListener, cleanUpResources, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getCustomAttributes, getDescription, getId, getInputTransform, getLocale, getName, getObjectData, getObjectDataProperty, getOutputTransform, getRequest, getResponse, getTagEpilog, getTagProlog, hasListeners, isCleanUpResourcesOn, isVisible, removePropertyChangeListener, removePropertyChangeListener, setCustomAttributes, setInputTransform, setLocaleDependentProperties, setName, setObjectData, setObjectDataProperty, setOutputTransform, setTagEpilog, setTagProlog, setVisible, toString, write, write, write`

Methods inherited from interface com.sas.servlet.tbeans.TransformationInterface
`getCustomAttributes, getDescription, getId, getLocale, getName, getRequest, getResponse, getTagEpilog, getTagProlog, isVisible, setCustomAttributes, setDescription, setId, setLocale, setName, setRequest, setResponse, setTagEpilog, setTagProlog, setVisible, write, write, write`

Methods inherited from interface com.sas.actionprovider.HttpActionProviderViewInterface
`getRequest, setRequest`

Methods inherited from interface com.sas.actionprovider.HttpActionProviderInterface
`getActionProvider`

Field Detail

### RB_KEY

    public static final java.lang.String RB_KEY

See Also:
  Constant Field Values

### model

    protected RemoteFileSearchModelInterface model

  The model used to process the search If this value is null the search will fail.

Constructor Detail

### BaseRemoteFileSearch

    public BaseRemoteFileSearch()

Method Detail

### setModel

    public void setModel(RemoteFileSearchModelInterface model)

  Sets the `RemoteFileSearchModelInterface` model instance. This model is used by the search to load the appropriate file data based on the specified search criteria. If this value is null then the search will fail.

  `InformationServicesSearchModel` implements the `RemoteFileSearchModelInterface`.

  Parameters:
    `model` - model that implements the `RemoteFileServerModelInterface`
  See Also:
    `getModel()`, `RemoteFileSearchModelInterface`, `InformationServicesSearchModel`

### getModel

    public RemoteFileSearchModelInterface getModel()

  Returns the model used for retrieving the search file information.

  Returns:
    model that implements the `RemoteFileSearchModelInterface`
  See Also:
    `setModel(com.sas.swing.models.remotefileselector2.RemoteFileSearchModelInterface)`, `RemoteFileSearchModelInterface`, `InformationServicesSearchModel`

### setExpandCollapseVisible

    public void setExpandCollapseVisible(boolean visible)

  Set the visibility state of the `ExpandCollapse`. The ExpandCollapse component is false by default.

  Parameters:
    `visible` - If true then the ExpandCollapse component is used to toggle the display of the search fields and buttons. If false the search fields and buttons are always visible.

### isExpandCollapseVisible

    public boolean isExpandCollapseVisible()

  Indicates whether the display of the search fields and buttons are controlled by the `ExpandCollapse` component.

  Returns:
    If `true` is returned then the `ExpandCollapse` component is used to toggle the display of the search fields and buttons

### setExpandCollapseComponent

    public void setExpandCollapseComponent(BaseExpandCollapse ec)

  Set the component to use for toggling the display of the Search fields and buttons. A null value is not expected for this component setting.

  Parameters:
    `ec` - `ExpandCollapse` component used to toggle display of search fields and buttons
  See Also:
    `getExpandCollapseComponent()`, `The ExpandCollapse Class`

### getExpandCollapseComponent

    public BaseExpandCollapse getExpandCollapseComponent()

  Returns the `ExpandCollapse` component used to toggle the display of the search fields and buttons. A default instance is returned if a specific instance has not been set for use on this component.

  Returns:
    `ExpandCollapse` component
  See Also:
    `setExpandCollapseComponent(BaseExpandCollapse)`

### getDefaultExpandCollapseComponent

    protected abstract BaseExpandCollapse getDefaultExpandCollapseComponent()

  Returns the default instance of the `ExpandCollapse` component. Null is not ever returned from the getExpandCollapse() method.

  It is preferred that the `getExpandCollapse()` method is used.

  Returns:
    `ExpandCollapse` component
  See Also:
    `#getExpandCollapse()`

### setSearchFieldsAttributes

    public void setSearchFieldsAttributes(RemoteFileSearchFieldsAttributes searchCriteria)

  Sets the object that will contain the viewers search criteria. See `RemoteFileSearchFieldsAttributes` to see the fields available for setting the search criteria.

  Parameters:
    `searchCriteria` - `RemoteFileSearchFieldsAttributes` instance
  See Also:
    `getSearchFieldsAttributes()`, `The RemoteFileSearchFieldsAttribute class`

### getSearchFieldsAttributes

    public RemoteFileSearchFieldsAttributes getSearchFieldsAttributes()

  Returns the object that contains the viewers search criteria.

  Returns:
    object that contains the viewers search criteria
  See Also:
    `setSearchFieldsAttributes(RemoteFileSearchFieldsAttributes)`

### setStartingLocation

    public void setStartingLocation(java.lang.String path,
                                    java.lang.String basePath)

  Set the starting location for the search. This path is the value used by the `Search where` field.

  Parameters:
    `path` - starting location for search
    `basePath` - The basePath is not visible to the user. The basePath indicates the root level. Therefore, this part of the path will not be visible in the `Search where` field. Specifying a null or a blank for the basePath means that the top of the tree is treated as the root level.
  See Also:
    `getStartingLocation()`

### getStartingLocation

    public java.lang.String getStartingLocation()

  Returns the starting location for the search.

  Returns:
    starting location
  See Also:
    `setStartingLocation(String, String)`

### populateStartingLocationComponent

    protected abstract void populateStartingLocationComponent(java.lang.String path,
                                                              java.lang.String basePath)

  Uses the starting location to populate the `Search where` component field. The drop down is populated with the name to represent one level of the directory path. Also, the values for each item is set to that directory level so that when a selection is made in the drop-down the users starting location for the search is updated appropriately on the request once the search is submitted for processing.

  Parameters:
    `path` - starting location
    `basePath` - root level

### getRemoteFileSelector

    public RemoteFileSelectorInterface getRemoteFileSelector()

  Returns the `RemoteFileSelector` that is making use of this search component. The mode of the RemoteFileSelector component helps control when a search occurs. `SEARCH_MODE` is the mode of `RemoteFileSelector` when a search occurs. Otherwise the mode is `REGULAR_MODE`

  Returns:
    remoteFileSelector

### setRemoteFileSelector

    public void setRemoteFileSelector(RemoteFileSelectorInterface remoteFileSelector)

  RemoteFileSelector may be null if search facility is used standalone (i.e. not used in conjunction with a RemoteFileSelector)

  Parameters:
    `remoteFileSelector` -

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.